<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:c="http://java.sun.com/jstl/core"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns="http://www.w3.org/1999/xhtml">
    <!-- parameters: -->
    <!--    <ui:param name="gui" value="validationResultBeanGui.reporter"/>-->
    <!--    <ui:param name="constraint" value="#{report.counters}"/>-->

<dl class="dl-horizontal gzl-notification gzl-notification-#{gui.getColor(constraint)}">

    <ui:fragment rendered="#{gui.isDisplayed('constraintID',constraint)}">
        <dt>#{gui.getLabel('constraintID')}</dt>
        <dd><h:outputText styleClass="constraintID" escape="false" value="#{constraint.constraintID}"/></dd>
    </ui:fragment>
    <ui:fragment rendered="#{gui.isDisplayed('constraintType',constraint)}">
        <dt>#{gui.getLabel('constraintType')}</dt>
        <dd><h:outputText styleClass="constraintType" escape="false" value="#{constraint.constraintType}"/></dd>
    </ui:fragment>
    <ui:fragment rendered="#{gui.isDisplayed('constraintDescription',constraint)}">
        <dt>#{gui.getLabel('constraintDescription')}</dt>
        <dd><h:outputText styleClass="constraintDescription" escape="false" value="#{constraint.constraintDescription}"/></dd>
    </ui:fragment>
    <ui:fragment rendered="#{gui.isDisplayed('formalExpression',constraint)}">
        <dt>#{gui.getLabel('formalExpression')}</dt>
        <dd><code><h:outputText styleClass="formalExpression" escape="false" value="#{constraint.formalExpression}"/></code></dd>
    </ui:fragment>
    <ui:fragment rendered="#{gui.isDisplayed('locationInValidatedObject',constraint)}">
        <dt title="#{gui.getLabel('locationInValidatedObject')}">#{gui.getLabel('locationInValidatedObject')}</dt>
        <dd class="constraint-location">#{constraint.locationInValidatedObject}
            <ui:fragment rendered="#{enableEyeNavigator == true}">
                <ui:fragment rendered="#{prettyView == true}">
                    <ui:fragment rendered="#{gui.isLocationXpath(constraint.locationInValidatedObject)}">
                        <a target-name="eye-button" id="#{gui.generateId()}" onclick="gotoNode(this)">
                            <s:span title="#{constraint.locationInValidatedObject}" styleClass="gzl-icon-eye"/>
                        </a>
                    </ui:fragment>
                    <ui:fragment rendered="#{not gui.isLocationXpath(constraint.locationInValidatedObject)}">
                        <c:set var="lineNumber" value="#{gui.getLineNumber(constraint.locationInValidatedObject)}"/>
                        <c:set var="severity" value="#{gui.getConstraintSeverity(constraint)}"/>
                        <a target-name="eye-button" href="#{gui.getLinkToLine(lineNumber)}" onclick="updateColorationOfLines(#{lineNumber}, '#{severity}')">
                            <s:span title="#{constraint.locationInValidatedObject}" styleClass="gzl-icon-eye"/>
                        </a>
                    </ui:fragment>
                </ui:fragment>
                <ui:fragment rendered="#{prettyView == false}">
                    <a>
                        <s:span style="color:gray;cursor:not-allowed"
                                title="#{messages['net.ihe.gazelle.evs.EnablePrettyViewToUseTheNavigator']}" styleClass="gzl-icon-eye"/>
                    </a>
                </ui:fragment>
            </ui:fragment>


        </dd>
    </ui:fragment>
    <ui:fragment rendered="#{gui.isDisplayed('valueInValidatedObject',constraint)}">
        <dt>#{gui.getLabel('valueInValidatedObject')}</dt>
        <dd><h:outputText styleClass="valueInValidatedObject" escape="false" value="#{constraint.valueInValidatedObject}"/></dd>
    </ui:fragment>
    <ui:fragment rendered="#{gui.isDisplayed('assertionIDs',constraint)}">
        <dt>#{gui.getLabel('assertionIDs')}</dt>
        <dd>
            <ul>
            <ui:repeat value="#{constraint.assertionIDs}" var="assertion">
                <li>
                    <s:span><h:outputText styleClass="assertionIDs" escape="false" value="#{assertion}"/></s:span>
                </li>
            </ui:repeat>
            </ul>
        </dd>
    </ui:fragment>
    <ui:fragment rendered="#{gui.isDisplayed('unexpectedErrors',constraint)}">
        <dt>#{gui.getLabel('unexpectedErrors')}</dt>
        <dd>
            <ui:repeat value="#{constraint.unexpectedErrors}" var="error">
                <ui:decorate template="/common/_unexpectederror.xhtml">
                    <ui:param name="error" value="#{error}"/>
                </ui:decorate>
            </ui:repeat>
        </dd>
    </ui:fragment>

</dl>

</ui:composition>
